Debian Bug report logs - #706780
ITP: libtest-tabledriven-perl -- write tests, not scripts that run them

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Sat, 4 May 2013 19:12:02 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version libtest-tabledriven-perl/0.02-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#706780; Package wnpp. (Sat, 04 May 2013 19:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Sat, 04 May 2013 19:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libtest-tabledriven-perl -- write tests, not scripts that run them
Date: Sat, 04 May 2013 21:08:04 +0200
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : libtest-tabledriven-perl
  Version         : 0.02
  Upstream Author : Jonathan Rockway <jrockway AT cpan.org>
* URL             : http://search.cpan.org/dist/Test-TableDriven/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : write tests, not scripts that run them

 Writing table-driven tests is usually a good idea.  Adding a test case
 doesn't require adding code, so it's easy to avoid fucking up the
 other tests.  However, actually going from a table of tests to a test
 that runs is non-trivial.
 .
 Test::TableDriven makes writing the test drivers trivial.  You simply
 define your test cases and write a function that turns the input data
 into output data to compare against.  C<Test::TableDriven> will compute
 how many tests need to be run, and then run the tests.
 .
 Concentrate on your data and what you're testing, not
  plan tests => scalar keys %test_cases
 and a big foreach loop.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 05 May 2013 08:09:44 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Thu, 16 May 2013 13:04:12 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Thu, 16 May 2013 13:04:12 GMT) Full text and rfc822 format available.

Message #12 received at 706780-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 706780-close@bugs.debian.org
Subject: Bug#706780: fixed in libtest-tabledriven-perl 0.02-1
Date: Thu, 16 May 2013 13:00:08 +0000
Source: libtest-tabledriven-perl
Source-Version: 0.02-1

We believe that the bug you reported is fixed in the latest version of
libtest-tabledriven-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706780@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libtest-tabledriven-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 04 May 2013 21:20:07 +0200
Source: libtest-tabledriven-perl
Binary: libtest-tabledriven-perl
Architecture: source all
Version: 0.02-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libtest-tabledriven-perl - write tests, not scripts that run them
Closes: 706780
Changes: 
 libtest-tabledriven-perl (0.02-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#706780.
Checksums-Sha1: 
 a34936def23b3eaccc1932a266cc5fbd7a14dfaa 2130 libtest-tabledriven-perl_0.02-1.dsc
 397287f1c78afc790030d682b73103ed7adbf21b 13735 libtest-tabledriven-perl_0.02.orig.tar.gz
 3cdcea4805279c1930d01b99a4959ebfddd87c94 2947 libtest-tabledriven-perl_0.02-1.debian.tar.gz
 583bf8dc180876c1e5b5d70d9f854d04b05b9951 11180 libtest-tabledriven-perl_0.02-1_all.deb
Checksums-Sha256: 
 94e9d4272652bfa0f9e1227ed2e9d845ef79efe4b4b6b75340ce2091874fbf85 2130 libtest-tabledriven-perl_0.02-1.dsc
 425878afcf2a14e047caf891b1915e9f5ffb036941609c438e0dfbd1b5b1859a 13735 libtest-tabledriven-perl_0.02.orig.tar.gz
 c87f9962df5c7bc1fca3ec81fb8fb5df86dadfc32599375bee868452a7ca77b1 2947 libtest-tabledriven-perl_0.02-1.debian.tar.gz
 54e5f699ed61197bf1589d067924eca64f2b83d1c4dffa338166a4f6b3a69bc2 11180 libtest-tabledriven-perl_0.02-1_all.deb
Files: 
 71cbcefa0990a10b290b9a5e8afbd77d 2130 perl optional libtest-tabledriven-perl_0.02-1.dsc
 ef9a445ad0efeb4c92c714a709ca3178 13735 perl optional libtest-tabledriven-perl_0.02.orig.tar.gz
 be13be736d07c02d8240791bed120aa5 2947 perl optional libtest-tabledriven-perl_0.02-1.debian.tar.gz
 0685f53a2181fd89881a6c01197e1e5e 11180 perl optional libtest-tabledriven-perl_0.02-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRhWAXAAoJECx8MUbBoAEhpvAQAIDLtz1a0GETva0YByPM6If9
7ZiFi5mjmmICsuJdAAgXct+g776oSoABEl6XmOvuLlEedKBhIOEE3gnMB+agpujW
3CwUoPX/mnNsc7GAmzpn6096ang17ZKOi28ez31jPXS00S4egVmacLynwmvzwZU5
5YpLXfWQRs3m1EyjyvJtRFAaYORO/6d//0D0/8CnFYLzcLgnF9IAmp3JpZTOOA+X
L8bwi7aBl5YkrKt4xzqfCaJZk+SXBxvng7zMHHlLFB/T4EULvMDnXxAI685FHLxX
T316X9pfjwHiV6GhJhOh8fxzD2r1EQPmkL2EVeb+ThaUtb8LQLlqvmKYSMwpuKmi
BdCZTuVs3uzK9Azrmknv7jYkQ8hRDZ37o/dmH5sCpt7uUxJzhwmwE4BZ6E/4Lz8D
bpDchoBoX2wzMsXhtmVKiP9xBmRov0DKVwhDnwNnY8UtCJuDHT8IXxs/dRgzQr7z
oDmlgeGCySvml/Yqe6eNrZDk9h3ZXBuo1Vv3joRqG5RaIkakmSwlTj30Igwj8vyP
YIM/BzbHs59zjAppqYlqSfrl0qXUPeEZLSXvNcPVv0HfrMAaTbN8HFI9/boxhuX9
s2yfud5RmPu+kKY71qhDZlGgS8qSb4ERr+PQ4L5Nt5/H9dyv7669cQ1eYI3reWIf
9540dKMa6FX2QWxauGWl
=qJc+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 08:04:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:17:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.